Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: martin rudalics <[email-masked]>
Date: Tue, 08 Jan 2019 16:04:04 +0100

> The intention behind display-buffer-mark-dedicated is to have it set to
 > `soft` which in turn means that the window will be undedicated whenever
 > the user explicitly asks to display another buffer in it (typically via
 > switch-to-buffer).

Who is supposed to set this and when?  Why don't we provide a normal
action alist entry for this?

 > IOW the result is windows are dedicated as long as they have only ever
 > displayed a single buffer.

You mean one and the same buffer all the time?  Please leave a note
somewhere what the precise intended behavior is.  So far, designers of
buffer display action functions can only guess.

martin